﻿@{
    Layout = "_AuthorizetionLayout";
}

@model Web.ViewModels.LoginViewModel

<h2 class="text-center">Вход</h2>

<form asp-action="Login" asp-controller="Account" asp-anti-forgery="true">
    <div class="validation" asp-validation-summary="ModelOnly"></div>
    <div class="container p-0">
        <input type="hidden" asp-for="ReturnUrl" />
        <div class="form-group mb-2">
            <input type="text" asp-for="UserName" placeholder="Имя" required style="width:100%" /><br />
            <span asp-validation-for="UserName" />
        </div>
        <div class="form-group mb-2">
            <input asp-for="Password" placeholder="Пароль" required style="width:100%" /><br />
            <span asp-validation-for="Password" />
        </div>
        <div class="form-group d-flex justify-content-between">
            <input type="submit" value="Войти" class="btn btn-outline-dark" />
            <a class="align-self-end" asp-action="Register">Регистрация</a>
        </div>
    </div>
</form>
@*<div class="d-flex justify-content-center">
    <div>
        <div>Войти через</div>
        <a asp-action="ExternalLogin" asp-route-provider="Facebook" asp-route-returnUrl="@Model.ReturnUrl">FACEBOOK</a>
    </div>
</div>*@
